Auth
curl -X GET "https://example.com/projects/string/.well-known/jwks.json"{ "keys": [ {} ]}Authorization
bearer In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/projects/string/auth-provider-health"[ { "id": "string", "provider": "APPLE", "stage": "CONFIGURATION", "reason": "unreadable_private_key", "occurrences": 0, "startedAt": "2019-08-24T14:15:22Z", "lastSeenAt": "2019-08-24T14:15:22Z", "resolvedAt": "string" }]Authorization
bearer In: header
Path Parameters
Query Parameters
Response Body
application/json
curl -X GET "https://example.com/projects/string/auth-provider-health/history"[ { "id": "string", "provider": "APPLE", "stage": "CONFIGURATION", "reason": "unreadable_private_key", "occurrences": 0, "startedAt": "2019-08-24T14:15:22Z", "lastSeenAt": "2019-08-24T14:15:22Z", "resolvedAt": "string" }]Authorization
bearer In: header
Path Parameters
Query Parameters
Response Body
application/json
curl -X GET "https://example.com/projects/string/auth-provider-health/timelines"[ { "provider": "GITHUB", "days": [ { "day": "string", "incidents": 0, "blocking": true } ] }]curl -X GET "https://example.com/projects/string/auth/hosted-config"{ "projectName": "string", "enabled": true, "allowedProviders": [ "string" ], "redirectUrlAllowlist": [ "string" ], "logoUrl": "string", "primaryColor": "string", "locale": "en", "oauth": { "bridgeBaseUrl": "string", "providers": { "property1": { "clientId": "string" }, "property2": { "clientId": "string" }, "clientId": "string" } }, "showMailmusBadge": true, "appearance": { "layout": "CENTERED", "panelSide": "LEFT", "panelImageUrl": "string", "backgroundColor": "string", "radius": "SHARP", "font": "DEFAULT", "showBrandMark": true }, "phone": { "countryPicker": true, "defaultCountry": "string", "allowedCountries": [ "string" ] }}Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/projects/string/auth/sign-up" \ -H "Content-Type: application/json" \ -d '{ "email": "string", "password": "string" }'{ "accessToken": "string", "refreshToken": "string", "expiresIn": 900, "customer": { "id": "string", "projectId": "string", "email": "string", "emailVerifiedAt": "2019-08-24T14:15:22Z", "phone": "string", "phoneVerifiedAt": "2019-08-24T14:15:22Z", "metadata": {}, "roles": [ "string" ], "lastSignInAt": "2019-08-24T14:15:22Z", "bannedAt": "2019-08-24T14:15:22Z", "mfaEnabled": true, "mfaEnabledAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "identities": [ { "provider": "GOOGLE", "createdAt": "2019-08-24T14:15:22Z" } ] }}Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/projects/string/auth/sign-in" \ -H "Content-Type: application/json" \ -d '{ "email": "string", "password": "string" }'{ "accessToken": "string", "refreshToken": "string", "expiresIn": 900, "customer": { "id": "string", "projectId": "string", "email": "string", "emailVerifiedAt": "2019-08-24T14:15:22Z", "phone": "string", "phoneVerifiedAt": "2019-08-24T14:15:22Z", "metadata": {}, "roles": [ "string" ], "lastSignInAt": "2019-08-24T14:15:22Z", "bannedAt": "2019-08-24T14:15:22Z", "mfaEnabled": true, "mfaEnabledAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "identities": [ { "provider": "GOOGLE", "createdAt": "2019-08-24T14:15:22Z" } ] }}Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/projects/string/auth/refresh" \ -H "Content-Type: application/json" \ -d '{ "refreshToken": "string" }'{ "accessToken": "string", "refreshToken": "string", "expiresIn": 900}Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/projects/string/auth/sign-out" \ -H "Content-Type: application/json" \ -d '{ "refreshToken": "string" }'Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/projects/string/auth/forgot-password" \ -H "Content-Type: application/json" \ -d '{ "email": "string", "redirectUri": "string" }'Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/projects/string/auth/reset-password" \ -H "Content-Type: application/json" \ -d '{ "token": "string", "newPassword": "string" }'{ "accessToken": "string", "refreshToken": "string", "expiresIn": 900, "customer": { "id": "string", "projectId": "string", "email": "string", "emailVerifiedAt": "2019-08-24T14:15:22Z", "phone": "string", "phoneVerifiedAt": "2019-08-24T14:15:22Z", "metadata": {}, "roles": [ "string" ], "lastSignInAt": "2019-08-24T14:15:22Z", "bannedAt": "2019-08-24T14:15:22Z", "mfaEnabled": true, "mfaEnabledAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "identities": [ { "provider": "GOOGLE", "createdAt": "2019-08-24T14:15:22Z" } ] }}Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/projects/string/auth/verify-email" \ -H "Content-Type: application/json" \ -d '{ "token": "string" }'Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/projects/string/auth/mfa/verify" \ -H "Content-Type: application/json" \ -d '{ "challengeToken": "string", "code": "string" }'{ "accessToken": "string", "refreshToken": "string", "expiresIn": 900, "customer": { "id": "string", "projectId": "string", "email": "string", "emailVerifiedAt": "2019-08-24T14:15:22Z", "phone": "string", "phoneVerifiedAt": "2019-08-24T14:15:22Z", "metadata": {}, "roles": [ "string" ], "lastSignInAt": "2019-08-24T14:15:22Z", "bannedAt": "2019-08-24T14:15:22Z", "mfaEnabled": true, "mfaEnabledAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "identities": [ { "provider": "GOOGLE", "createdAt": "2019-08-24T14:15:22Z" } ] }}Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/projects/string/auth/magic-link" \ -H "Content-Type: application/json" \ -d '{ "email": "string" }'Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/projects/string/auth/magic-link/verify" \ -H "Content-Type: application/json" \ -d '{ "token": "string" }'{ "accessToken": "string", "refreshToken": "string", "expiresIn": 900, "customer": { "id": "string", "projectId": "string", "email": "string", "emailVerifiedAt": "2019-08-24T14:15:22Z", "phone": "string", "phoneVerifiedAt": "2019-08-24T14:15:22Z", "metadata": {}, "roles": [ "string" ], "lastSignInAt": "2019-08-24T14:15:22Z", "bannedAt": "2019-08-24T14:15:22Z", "mfaEnabled": true, "mfaEnabledAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "identities": [ { "provider": "GOOGLE", "createdAt": "2019-08-24T14:15:22Z" } ] }}Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/projects/string/auth/otp" \ -H "Content-Type: application/json" \ -d '{ "email": "string" }'Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/projects/string/auth/otp/verify" \ -H "Content-Type: application/json" \ -d '{ "email": "string", "code": "string" }'{ "accessToken": "string", "refreshToken": "string", "expiresIn": 900, "customer": { "id": "string", "projectId": "string", "email": "string", "emailVerifiedAt": "2019-08-24T14:15:22Z", "phone": "string", "phoneVerifiedAt": "2019-08-24T14:15:22Z", "metadata": {}, "roles": [ "string" ], "lastSignInAt": "2019-08-24T14:15:22Z", "bannedAt": "2019-08-24T14:15:22Z", "mfaEnabled": true, "mfaEnabledAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "identities": [ { "provider": "GOOGLE", "createdAt": "2019-08-24T14:15:22Z" } ] }}Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/projects/string/auth/phone-otp" \ -H "Content-Type: application/json" \ -d '{ "phone": "string" }'Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/projects/string/auth/phone-otp/verify" \ -H "Content-Type: application/json" \ -d '{ "phone": "string", "code": "string" }'{ "accessToken": "string", "refreshToken": "string", "expiresIn": 900, "customer": { "id": "string", "projectId": "string", "email": "string", "emailVerifiedAt": "2019-08-24T14:15:22Z", "phone": "string", "phoneVerifiedAt": "2019-08-24T14:15:22Z", "metadata": {}, "roles": [ "string" ], "lastSignInAt": "2019-08-24T14:15:22Z", "bannedAt": "2019-08-24T14:15:22Z", "mfaEnabled": true, "mfaEnabledAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "identities": [ { "provider": "GOOGLE", "createdAt": "2019-08-24T14:15:22Z" } ] }}Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/projects/string/auth/google/callback" \ -H "Content-Type: application/json" \ -d '{ "code": "string", "redirectUri": "string" }'{ "accessToken": "string", "refreshToken": "string", "expiresIn": 900, "customer": { "id": "string", "projectId": "string", "email": "string", "emailVerifiedAt": "2019-08-24T14:15:22Z", "phone": "string", "phoneVerifiedAt": "2019-08-24T14:15:22Z", "metadata": {}, "roles": [ "string" ], "lastSignInAt": "2019-08-24T14:15:22Z", "bannedAt": "2019-08-24T14:15:22Z", "mfaEnabled": true, "mfaEnabledAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "identities": [ { "provider": "GOOGLE", "createdAt": "2019-08-24T14:15:22Z" } ] }}Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/projects/string/auth/github/callback" \ -H "Content-Type: application/json" \ -d '{ "code": "string", "redirectUri": "string" }'{ "accessToken": "string", "refreshToken": "string", "expiresIn": 900, "customer": { "id": "string", "projectId": "string", "email": "string", "emailVerifiedAt": "2019-08-24T14:15:22Z", "phone": "string", "phoneVerifiedAt": "2019-08-24T14:15:22Z", "metadata": {}, "roles": [ "string" ], "lastSignInAt": "2019-08-24T14:15:22Z", "bannedAt": "2019-08-24T14:15:22Z", "mfaEnabled": true, "mfaEnabledAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "identities": [ { "provider": "GOOGLE", "createdAt": "2019-08-24T14:15:22Z" } ] }}Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/projects/string/auth/apple/callback" \ -H "Content-Type: application/json" \ -d '{ "code": "string", "redirectUri": "string" }'{ "accessToken": "string", "refreshToken": "string", "expiresIn": 900, "customer": { "id": "string", "projectId": "string", "email": "string", "emailVerifiedAt": "2019-08-24T14:15:22Z", "phone": "string", "phoneVerifiedAt": "2019-08-24T14:15:22Z", "metadata": {}, "roles": [ "string" ], "lastSignInAt": "2019-08-24T14:15:22Z", "bannedAt": "2019-08-24T14:15:22Z", "mfaEnabled": true, "mfaEnabledAt": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "identities": [ { "provider": "GOOGLE", "createdAt": "2019-08-24T14:15:22Z" } ] }}Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/projects/string/auth/mfa/enroll" \ -H "Content-Type: application/json" \ -d '{}'{ "secret": "string", "otpauthUrl": "otpauth://totp/..."}Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/projects/string/auth/mfa/confirm" \ -H "Content-Type: application/json" \ -d '{ "code": "string" }'{ "backupCodes": [ "string" ]}Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/projects/string/auth/mfa/disable" \ -H "Content-Type: application/json" \ -d '{ "code": "string" }'curl -X GET "https://example.com/projects/string/auth-settings"{ "id": "string", "appId": "string", "enabled": true, "allowedProviders": [ "string" ], "redirectUrlAllowlist": [ "string" ], "accessTokenTtlSeconds": 0, "refreshTokenTtlDays": 0, "logoUrl": "string", "primaryColor": "string", "customDomain": "string", "customDomainStatus": "PENDING", "locale": "en", "testPhoneNumber": "string", "testPhoneVerifiedAt": "2019-08-24T14:15:22Z", "testPhoneChangesUsed": 0, "testPhonePendingNumber": "string", "testPhonePendingExpiresAt": "2019-08-24T14:15:22Z", "testPhonePendingAttempts": 0, "testPhoneSendCount": 0, "testPhoneSendPeriodStart": "2019-08-24T14:15:22Z", "phoneCodeAllowedCountries": [ "string" ], "hostedLayout": "CENTERED", "hostedPanelSide": "LEFT", "hostedPanelImageUrl": "string", "hostedBackgroundColor": "string", "hostedRadius": "SHARP", "hostedFont": "DEFAULT", "hostedShowBrandMark": true, "phoneCountryPicker": true, "phoneDefaultCountry": "string", "newSignupCount": 0, "newSignupPeriodStart": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/projects/string/auth-settings" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "appId": "string", "enabled": true, "allowedProviders": [ "string" ], "redirectUrlAllowlist": [ "string" ], "accessTokenTtlSeconds": 0, "refreshTokenTtlDays": 0, "logoUrl": "string", "primaryColor": "string", "customDomain": "string", "customDomainStatus": "PENDING", "locale": "en", "testPhoneNumber": "string", "testPhoneVerifiedAt": "2019-08-24T14:15:22Z", "testPhoneChangesUsed": 0, "testPhonePendingNumber": "string", "testPhonePendingExpiresAt": "2019-08-24T14:15:22Z", "testPhonePendingAttempts": 0, "testPhoneSendCount": 0, "testPhoneSendPeriodStart": "2019-08-24T14:15:22Z", "phoneCodeAllowedCountries": [ "string" ], "hostedLayout": "CENTERED", "hostedPanelSide": "LEFT", "hostedPanelImageUrl": "string", "hostedBackgroundColor": "string", "hostedRadius": "SHARP", "hostedFont": "DEFAULT", "hostedShowBrandMark": true, "phoneCountryPicker": true, "phoneDefaultCountry": "string", "newSignupCount": 0, "newSignupPeriodStart": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}curl -X POST "https://example.com/projects/string/auth-settings/rotate-signing-key"{ "kid": "string", "createdAt": "2019-08-24T14:15:22Z"}curl -X POST "https://example.com/projects/string/auth-settings/verify-domain"{ "id": "string", "appId": "string", "enabled": true, "allowedProviders": [ "string" ], "redirectUrlAllowlist": [ "string" ], "accessTokenTtlSeconds": 0, "refreshTokenTtlDays": 0, "logoUrl": "string", "primaryColor": "string", "customDomain": "string", "customDomainStatus": "PENDING", "locale": "en", "testPhoneNumber": "string", "testPhoneVerifiedAt": "2019-08-24T14:15:22Z", "testPhoneChangesUsed": 0, "testPhonePendingNumber": "string", "testPhonePendingExpiresAt": "2019-08-24T14:15:22Z", "testPhonePendingAttempts": 0, "testPhoneSendCount": 0, "testPhoneSendPeriodStart": "2019-08-24T14:15:22Z", "phoneCodeAllowedCountries": [ "string" ], "hostedLayout": "CENTERED", "hostedPanelSide": "LEFT", "hostedPanelImageUrl": "string", "hostedBackgroundColor": "string", "hostedRadius": "SHARP", "hostedFont": "DEFAULT", "hostedShowBrandMark": true, "phoneCountryPicker": true, "phoneDefaultCountry": "string", "newSignupCount": 0, "newSignupPeriodStart": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/projects/string/auth-settings/test-phone/request" \ -H "Content-Type: application/json" \ -d '{ "phone": "string" }'Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/projects/string/auth-settings/test-phone/verify" \ -H "Content-Type: application/json" \ -d '{ "code": "string" }'{ "id": "string", "appId": "string", "enabled": true, "allowedProviders": [ "string" ], "redirectUrlAllowlist": [ "string" ], "accessTokenTtlSeconds": 0, "refreshTokenTtlDays": 0, "logoUrl": "string", "primaryColor": "string", "customDomain": "string", "customDomainStatus": "PENDING", "locale": "en", "testPhoneNumber": "string", "testPhoneVerifiedAt": "2019-08-24T14:15:22Z", "testPhoneChangesUsed": 0, "testPhonePendingNumber": "string", "testPhonePendingExpiresAt": "2019-08-24T14:15:22Z", "testPhonePendingAttempts": 0, "testPhoneSendCount": 0, "testPhoneSendPeriodStart": "2019-08-24T14:15:22Z", "phoneCodeAllowedCountries": [ "string" ], "hostedLayout": "CENTERED", "hostedPanelSide": "LEFT", "hostedPanelImageUrl": "string", "hostedBackgroundColor": "string", "hostedRadius": "SHARP", "hostedFont": "DEFAULT", "hostedShowBrandMark": true, "phoneCountryPicker": true, "phoneDefaultCountry": "string", "newSignupCount": 0, "newSignupPeriodStart": "2019-08-24T14:15:22Z", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z"}curl -X GET "https://example.com/hosted-domains/string"{ "appId": "string"}curl -X GET "https://example.com/projects/string/auth/sessions"[ { "id": "string", "userAgent": "string", "ipAddress": "string", "createdAt": "2019-08-24T14:15:22Z", "expiresAt": "2019-08-24T14:15:22Z", "current": true, "supportSession": true }]curl -X DELETE "https://example.com/projects/string/auth/sessions/string"